public class ShapeStackFixedSizeArray extends ShapeStackArrayAbstract {

    public ShapeStackFixedSizeArray(int maxSize){
        super(maxSize);
    }

    public ShapeStack clone(){
        ShapeStackFixedSizeArray s = new ShapeStackFixedSizeArray(shapes.length);
        for(int i =0; i<indexTop; ++i) {
            s.shapes[i] = shapes[i];
        }
        s.indexTop = indexTop;
        return s;
    }

    protected void manageStack() {
        throw new RuntimeException("La pile est pleine");     
    }

    public static void main(String[] args){
        Shape  cercle= new Circle(new Point2DCartesien(), 10.);
        Shape  carre= new Square(new Point2DCartesien(1.,1.), new Point2DCartesien(10.,10.));
        ShapeStackFixedSizeArray pileFix= new ShapeStackFixedSizeArray(5);
        pileFix.push(cercle);
        pileFix.push(carre);
        System.out.println(pileFix);

        System.out.println("Pile (de references) egale a elle-meme ? "+ pileFix.equals(pileFix));

        ShapeStack pileFixClone= pileFix.clone();
        System.out.println("Pile (de references) egale a son clone ? "+ pileFix.equals(pileFixClone));

        Shape[] shapes= {cercle.clone(), carre.clone()};	
        ShapeStack  pileFixTindT= new ShapeStackFixedSizeArray(10);
        for (int i = 0; i < shapes.length; ++i)
            pileFixTindT.push(shapes[i]);
        System.out.println("Pile (de references) egale a une pile des objets clone's ? "+ pileFix.equals(pileFixTindT));

        ShapeStack pileVide1=  new ShapeStackFixedSizeArray(3);	
        System.out.println(pileVide1.isEmpty());
        ShapeStack pileVide2=  new ShapeStackFixedSizeArray(3);
        System.out.println(pileVide2.isEmpty());
        System.out.println("Deux piles vides sont egales? "+ 
                pileVide1.equals(pileVide2));
    }
}
