public class TestShapeStack{
    public static void main(String[] args){
        Shape  cercle= new Circle(new Point2DCartesien(), 10.);
        Shape  carre= new Square(new Point2DCartesien(1.,1.), new Point2DCartesien(10.,10.));
        ShapeStack pileExt= new ShapeStackExtensibleSizeArray();
        pileExt.push(cercle);
        pileExt.push(carre);

        ShapeStack pileFix= new ShapeStackFixedSizeArray(10);
        pileFix.push(cercle);
        pileFix.push(carre);

        System.out.println("Deux piles de meme contenu et de types pileFix et pileExt "+ (pileFix.equals(pileExt)?" sont ": "ne sont pas")+ " egales");

        ShapeStack autrePileFix= pileFix.clone();
        System.out.println("pile fixe et son clone "+ (pileFix.equals(autrePileFix)?" sont ": "ne sont pas")+ " egales");
        ShapeStack autrePileExt= pileExt.clone();
        System.out.println("pile extensible et son clone "+ (pileExt.equals(autrePileExt)?" sont ": "ne sont pas")+ " egales");
        System.out.println("pile extensible et clone pile fixe "+ (pileExt.equals(autrePileFix)?" sont ": "ne sont pas")+ " egales");
        pileFix.push(carre);
        System.out.println("pile fixe modifie et son clone avant modif "+ (pileFix.equals(autrePileFix)?" sont ": "ne sont pas")+ " egales");
    }
}