interface Point2D {

    static double EPSILON = 1.E-3;

    double getAbscisse();     
    void setAbscisse(double x);
    double getOrdonnee();
    void setOrdonnee(double y);
    double getModule();
    void setModule(double m);
    double getArgument();
    void setArgument(double a);     
    Point2D clone();
    boolean equals(Point2D o);
    String toString();

    Point2D translation(double dx, double dy);
    Point2D translation(Point2D vec);
    Point2D homothetie(double rapport);
    Point2D rotation(double angle);
    Point2D homothetie(Point2D center, double rapport);
    Point2D rotation(Point2D center, double angle);
}
