public class ShapeStackExtensibleSizeArray extends ShapeStackArrayAbstract {

    public ShapeStackExtensibleSizeArray() {
        super(INITIAL_SIZE);
    }

    public ShapeStackExtensibleSizeArray(int initSize) {
        super(initSize);
    }

    public ShapeStack clone(){
        ShapeStackExtensibleSizeArray s = new ShapeStackExtensibleSizeArray(shapes.length);
        for(int i =0; i<indexTop; ++i) {
            s.shapes[i] = shapes[i];
        }
        s.indexTop = indexTop;
        return s;
    }

    protected void manageStack() {
        // extend stack   
        int newSize = shapes.length * 2;
        Shape[] newShapes = new Shape[newSize];
        for(int i=0; i< indexTop; i++)
            newShapes[i] = shapes[i];
        shapes = newShapes;
    }

    private static final int INITIAL_SIZE= 4;

}
